/*
 * 06.03.2003 06:52 17:09 Andrei Kovalev
 */

#include <stdlib.h>
#include <kernel.h>

char * strtok(char *s1, char *s2);

extern char tcp_active;
extern SYSCALL tcp_process;

#include "com.h"
#include "replies.h"

void xprintf(char *, ...);
//#define kprintf xprintf

// the UART handle to configure
extern int hReceiver;
unsigned char tcp_connect( char * serverAddr);
int init_receiver( );

/*--
 * this control function sets the Glied parameters received
 * from the JClient
 * 
 * format: spar IP:PORT N RATE SETUP
 * IP:PORT = address of the host
 * N - number of UART 1/2
 * RATE - speed of UART
 * SETUP - contents of the UART_LCR
 */
int set_parameters(char* dg_buffer)
{
char *ptr, *pptr, ipAddr[24];
int param[5], i, rate, lcr, flow, Nuart;

//    kprintf("\nDatagramm:\n");
//    kprintf(dg_buffer);
//    kprintf("\n");

    pptr = dg_buffer;
    ptr = dg_buffer;

    // get the host ip
    strcpy( ipAddr, strtok(dg_buffer," ") );

    // parse the serial rate and line control
    rate = atoi( strtok(NULL," ") );
    lcr  = atoi( strtok(NULL," ") );
    flow = atoi( strtok(NULL," ") );

    Nuart = atoi( strtok(NULL," ") );
    if(Nuart==0)
        xprintf("\ngateway to COM1");
    else
        xprintf("\ngateway to COM2");


    hReceiver = init_receiver( Nuart );
    if( hReceiver == SYSERR )
    {
        kprintf("\nReceiver COM open failed");
        return ;
    }
    else
        kprintf("\nserial port opened");



    // setup the serial port
    control( hReceiver, SET_RATE, (char*)rate, 0);
    control( hReceiver, SET_LINE, (char*)lcr , 0);
    control( hReceiver, SET_FLOW, (char*)flow, 0);

    tcp_connect( ipAddr );
    if( resume( tcp_process ) != SYSERR )
        tcp_active = 1;
    else
        kprintf("akov-?-cannot run tcp thread");

    dg_buffer[0] = 0;
    strcat( dg_buffer, ACK_OK );

    return 0;
}


/*--
 * this control function returns the Glied parameters
 * requested by the JClient
 */
int get_parameters(char* dg_buffer)
{
    dg_buffer[0] = 0;
        sprintf(dg_buffer, "100 OK"
        );

    return 0;
} 
