	.assume ADL=1
	;***	Disable internal Flash Memory
	ld		a, 00h
	out0	(FLASH_ADDR_U), a
	out0	(FLASH_CTRL), a

	;***	Disable Internal Sram
	out0	(RAM_ADDR_U), a
	out0	(RAM_CTL), a

	;***	Copy bootstrap into Ram.
	;* If the length is 0 we're done
	ld		hl, _ADL_START
	ld		bc, _RST0
	or		a, a		
	sbc		hl, bc	
	jr		z, _copy_bootstrap_done	

	push	hl
	pop		bc
	ld		de, 0
	ld		hl, _RST0
	ldir
_copy_bootstrap_done:	


	;***	Continue initializing the remaining peripherals.
	.include "boot_L92.asm"
	
