/*
 * Copyright 2001, Metro Link, Inc.
 * All Rights Reserved
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Metro Link, Inc. and may
 * contain proprietary, confidential and trade secret information of
 * Metro Link, Inc. and/or its partners.
 *  
 * The contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Metro Link, Inc.
 *
 */
#ifndef _BOOTINFO_H
#define _BOOTINFO_H
#define BOOTNAMELENGTH  32

#include <ip.h>	/* Tmp until the change to a string */

struct BootInfo {
        char    myip[BOOTNAMELENGTH];
        char    defaultroute[BOOTNAMELENGTH];
        char    timeserver[BOOTNAMELENGTH];
        char    rfserver[BOOTNAMELENGTH];
        char    tftpserver[BOOTNAMELENGTH];
        char    dnsserver[BOOTNAMELENGTH];
        char    bootfile[64];
        IPaddr  subnetmask;
};

#define IPADDR1  	Bootrecord.myip
#define DEFRTR   	Bootrecord.defaultroute
#define TSERVER  	Bootrecord.timeserver
#define RSERVER  	Bootrecord.rfserver
#define NSERVER  	Bootrecord.dnsserver

/* Default values for network ports */
#define TIME_PORT       37
#define NAME_PORT       53
#define RFS_PORT        2001

extern struct BootInfo Bootrecord;
#endif
