/*
 * Copyright 2001, Metro Link, Inc.
 * All Rights Reserved
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Metro Link, Inc. and may
 * contain proprietary, confidential and trade secret information of
 * Metro Link, Inc. and/or its partners.
 *  
 * The contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Metro Link, Inc.
 *
 */
/* snhash.h */

struct snhnode {			/* hash table node structure	*/
	struct mib_info *sh_mip;	/* points to a mib record	*/
	struct snhnode *sh_next;	/* next node in this hash bucket*/
};

#define S_HTABSIZ	101		/* hash table size - a prime #	*/
#define S_HTRADIX	21		/* hash table radix		*/


extern	struct	snhnode *snhtab[];	/* the hash table		*/
