/*
 * Copyright 2001, Metro Link, Inc.
 * All Rights Reserved
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Metro Link, Inc. and may
 * contain proprietary, confidential and trade secret information of
 * Metro Link, Inc. and/or its partners.
 *  
 * The contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Metro Link, Inc.
 *
 */

#ifndef _tftp_h
#define _tftp_h

#define TFTP_PORT		69 
#define TIMEOUTCOUNT		5

typedef struct _req_init
  {
    short type;
    char data[512];
  } req_init;

typedef struct _req_data
  {
    short type;
    short block;
    char data[512];
  } req_data;
typedef struct _req_ack
  {
    short type;
    short block;
  } req_ack;

/* TFTP request types */
#define	TFTP_RRQ	1	/* Read Request */
#define	TFTP_WRQ	2	/* Write Request */
#define	TFTP_DATA	3	/* Data */
#define	TFTP_ACK	4	/* Acknowledgement */
#define	TFTP_ERROR	5	/* Error */

#endif

