
// must not be mixed with USOCKET!
#ifndef _BOOTER_H
#define _BOOTER_H

// port numbers
#define CTL_PORT 3000
#define DAT_PORT 3001

// download thread priority
#define CTLPRIO 85
#define DATPRIO 85

// This two constants are hard parameters of the download
// - download buffer size
// - user start space
#define PAGE_SPACE 0x2000

// ASCII codes
#define CR 13
#define LF 10

// IPCLient socket API
void debug_thread(int);
void control_thread(int);
void data_thread(int);
void page_read_thread( int , int );
void udp_parse_cmd( char* );

#ifdef DEBUG
    void debug_log( char * );
#endif

#endif
