;
; ez80190 assembler header file
; standardized names from product specification
; ZiLOG 2002
;


TMR0_CTL        .equ    080h
TMR0_DR_L       .equ    081h
TMR0_RR_L       .equ    081h
TMR0_DR_H       .equ    082h
TMR0_RR_H       .equ    082h
TMR1_CTL        .equ    083h
TMR1_DR_L       .equ    084h
TMR1_RR_L       .equ    084h
TMR1_DR_H       .equ    085h
TMR1_RR_H       .equ    085h
TMR2_CTL        .equ    086h
TMR2_DR_L       .equ    087h
TMR2_RR_L       .equ    087h
TMR2_DR_H       .equ    088h
TMR2_RR_H       .equ    088h
TMR3_CTL        .equ    089h
TMR3_DR_L       .equ    08Ah
TMR3_RR_L       .equ    08Ah
TMR3_DR_H       .equ    08Bh
TMR3_RR_H       .equ    08Bh
TMR4_CTL        .equ    08Ch
TMR4_DR_L       .equ    08Dh
TMR4_RR_L       .equ    08Dh
TMR4_DR_H       .equ    08Eh
TMR4_RR_H       .equ    08Eh
TMR5_CTL        .equ    08Fh
TMR5_DR_L       .equ    090h
TMR5_RR_L       .equ    090h
TMR5_DR_H       .equ    091h
TMR5_RR_H       .equ    091h

WDT_CTL         .equ    093h
WDT_RR          .equ    094h

PA_DR           .equ    096h
PA_DDR          .equ    097h
PA_ALT1         .equ    098h
PA_ALT2         .equ    099h
PB_DR           .equ    09Ah
PB_DDR          .equ    09Bh
PB_ALT1         .equ    09Ch
PB_ALT2         .equ    09Dh
PC_DR           .equ    09Eh
PC_DDR          .equ    09Fh
PC_ALT1         .equ    0A0h
PC_ALT2         .equ    0A1h
PD_DR           .equ    0A2h
PD_DDR          .equ    0A3h
PD_ALT1         .equ    0A4h
PD_ALT2         .equ    0A5h

CS0_LBR         .equ    0A8h
CS0_UBR         .equ    0A9h
CS0_CTL         .equ    0AAh
CS1_LBR         .equ    0ABh
CS1_UBR         .equ    0ACh
CS1_CTL         .equ    0ADh
CS2_LBR         .equ    0AEh
CS2_UBR         .equ    0AFh
CS2_CTL         .equ    0B0h
CS3_LBR         .equ    0B1h
CS3_UBR         .equ    0B2h
CS3_CTL         .equ    0B3h

RAM_CTL         .equ    0B4h
RAM_ADDR_U      .equ    0B5h

SPI0_CTL        .equ    0B6h
SPI0_SR         .equ    0B7h
SPI0_TSR        .equ    0B8h
SPI0_RBR        .equ    0B8h

SPI1_CTL        .equ    0BAh
SPI1_SR         .equ    0BBh
SPI1_TSR        .equ    0BCh
SPI1_RBR        .equ    0BCh


UART0_RBR       .equ    0C0h
UART0_THR       .equ    0C0h
UART0_BRG_L     .equ    0C0h
UART0_IER       .equ    0C1h
UART0_BRG_H     .equ    0C1h
UART0_IIR       .equ    0C2h
UART0_FCTL      .equ    0C2h
UART0_LCTL      .equ    0C3h
UART0_MCTL      .equ    0C4h
UART0_LSR       .equ    0C5h
UART0_MSR       .equ    0C6h
UART0_SPR       .equ    0C7h
I2C0_SAR        .equ    0C8h
I2C0_XSAR       .equ    0C9h
I2C0_DR         .equ    0CAh
I2C0_CTL        .equ    0CBh
I2C0_SR         .equ    0CCh
I2C0_CCR        .equ    0CCh
I2C0_SRR        .equ    0CDh

UZI0_CTL        .equ    0CFh

UART1_RBR       .equ    0D0h
UART1_THR       .equ    0D0h
UART1_BRG_L     .equ    0D0h
UART1_IER       .equ    0D1h
UART1_BRG_H     .equ    0D1h
UART1_IIR       .equ    0D2h
UART1_FCTL      .equ    0D2h
UART1_LCTL      .equ    0D3h
UART1_MCTL      .equ    0D4h
UART1_LSR       .equ    0D5h
UART1_MSR       .equ    0D6h
UART1_SPR       .equ    0D7h
I2C1_SAR        .equ    0D8h
I2C1_XSAR       .equ    0D9h
I2C1_DR         .equ    0DAh
I2C1_CTL        .equ    0DBh
I2C1_SR         .equ    0DCh
I2C1_CCR        .equ    0DCh
I2C1_SRR        .equ    0DDh

UZI1_CTL        .equ    0DFh

DMA0_CTL        .equ    0F6h
DMA1_CTL        .equ    0F6h
