/*
 * Copyright 2001, Metro Link, Inc.
 * All Rights Reserved
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Metro Link, Inc. and may
 * contain proprietary, confidential and trade secret information of
 * Metro Link, Inc. and/or its partners.
 *  
 * The contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Metro Link, Inc.
 *
 */
#include <kernel.h>
#include <stdlib.h>
#include <bootinfo.h>


/** @name Bootrecord
 * @memo Configure default network settings.
 * @doc The Bootrecord contains the default settings for the network.
 */
/*@{*/
/*@}*/
struct BootInfo Bootrecord = {
        "10.1.3.252",	/* Default IP address */
        "10.0.0.1",	/* Default Gateway */
        "10.0.0.1",	/* Default Timer Server */
        "10.0.0.1",	/* Default File Server - Not currently Used */
        "",
        "10.0.0.1",	/* Default Name Server */
        "",
        0xff000000UL	/* Default Subnet Mask */
        };

