#ifndef _EZ80F92_H_
#define _EZ80F92_H_

#include "ez80L92.h"

/* RAM Control */
#define RAM_CTL0					(*(IORegInt8)0xB4)
#define RAM_CTL1					(*(IORegInt8)0xB5)

/* Internal Flash Memory Control */
#define FLASH_KEY					(*(IORegInt8)0xF5)
#define FLASH_DATA				(*(IORegInt8)0xF6)
#define FLASH_ADDR_U				(*(IORegInt8)0xF7)
#define FLASH_CTRL				(*(IORegInt8)0xF8)
#define FLASH_FDIV				(*(IORegInt8)0xF9)
#define FLASH_PROT				(*(IORegInt8)0xFA)
#define FLASH_IRQ					(*(IORegInt8)0xFB)
#define FLASH_PAGE				(*(IORegInt8)0xFC)
#define FLASH_ROW					(*(IORegInt8)0xFD)
#define FLASH_COL					(*(IORegInt8)0xFE)
#define FLASH_PGCTL				(*(IORegInt8)0xFF)



#endif
