;*** The special function register for the F92 are almost identical to those 
;	 in the L92.  The only differences are the inclusion of the Ram and Flash 
;	control registers.
	.include "eZ80L92.inc"

TMR0_DR_L		.equ	081h

RAM_CTL			.equ	0B4h
RAM_ADDR_U		.equ	0B5h

FLASH_KEY		.equ	0F5h
FLASH_DATA		.equ	0F6h
FLASH_ADDR_U	.equ	0F7h
FLASH_CTRL		.equ	0F8h
FLASH_FDIV		.equ	0F9h
FLASH_PROT		.equ	0FAh
FLASH_IRQ		.equ	0FBh
FLASH_PAGE		.equ	0FCh
FLASH_ROW		.equ	0FDh
FLASH_COL		.equ	0FEh
FLASH_PGCTL		.equ	0FFh


