/*
 * Copyright 2001, Metro Link, Inc.
 * All Rights Reserved
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Metro Link, Inc. and may
 * contain proprietary, confidential and trade secret information of
 * Metro Link, Inc. and/or its partners.
 *  
 * The contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Metro Link, Inc.
 *
 */
/* daemon.h */

/* FINGERD process info */

#define	FINGERD		fingerd		/* FINGERD process		*/
extern	PROCESS		FINGERD(void);

#define	FNGDSTK		2048		/* stack size for FINGERD	*/
#define	FNGDPRI		20		/* FINGERD priority		*/
#define	FNGDNAM		"fingerd"	/* name of FINGERD process	*/
#define	FNGDARGC	0		/* count of args to FINGERD	*/

/* TELNETD process info */

#define	TELNETD		telnetd		/* TELNETD process		*/
extern	PROCESS		TELNETD(void);

#define	TLNTSTK		2048		/* stack size for TELNETD	*/
#define	TLNTPRI		20		/* TELNETD priority		*/
#define	TLNTNAM		"telnetd"	/* name of TELNETD process	*/
#define	TLNTARGC	0		/* count of args to TELNETD	*/

/* ECHOD process info */

#define	ECHOD		echod		/* ECHOD daemon			*/
#define	ECHOP		echop		/* ECHO process			*/
extern	PROCESS		ECHOD(void), ECHOP(int);

#define	ECHOSTK		1024		/* stack size for ECHOD		*/
#define	ECHOPRI		20		/* ECHOD priority		*/
#define	ECHODNAM	"echod"		/* name of ECHOD process	*/
#define	ECHOPNAM	"echop"		/* name of ECHOP process	*/

/* TIMED process info */

#define	TIMED		timed_738		/* TIMED daemon			*/
extern	PROCESS		TIMED(void);

#define	TIMESTK		1024		/* stack size for TIMED		*/
#define	TIMEPRI		20		/* TIMED priority		*/
#define	TIMEDNAM	"timed_738"	/* name of TIMED process	*/

