/*
 * Copyright 2001, Metro Link, Inc.
 * All Rights Reserved
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Metro Link, Inc. and may
 * contain proprietary, confidential and trade secret information of
 * Metro Link, Inc. and/or its partners.
 *  
 * The contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Metro Link, Inc.
 *
 */
/* ospf_db.h */

#define	LSABUFS		100	/* Number of LSA Buffers for Top. DBs	*/
#define	DBHTMOD		63	/* Database Hash Table Modulus		*/

#define	DBHASH(lsid)	((lsid) % DBHTMOD)

/* An Entry in the Topological Database */

struct ospf_db {
	struct ospf_lsa	 db_lsa;
	struct ospf_db	*db_hnext;	/* Next Entry in Hash Table	*/
	struct ospf_db	*db_lnext;	/* Next Entry in a Full Scan	*/
};
